# $Revision: 1.88 $, $Date: 2005/09/25 19:13:35 $
#
# Conditional build:
%bcond_without	lirc	# without LIRC support
#
Summary:	A TV viewer for GNOME2
Summary(pl):	Program do ogldania telewizji dla GNOME2
Name:		zapping
Version:	0.9.6
Release:	2
License:	GPL
Group:		X11/Applications/Multimedia
#Source0:	%{name}-%{version}-%{snap}.tar.bz2
Source0:	http://dl.sourceforge.net/zapping/%{name}-%{version}.tar.bz2
# Source0-md5:	8306775c6a11de4d72345b5eee970ea6
Patch0:		%{name}-suid.patch
Patch1:		%{name}-libdir.patch
Patch2:		%{name}-desktopfile.patch
Patch3:		%{name}-disable-altivec.patch
URL:		http://zapping.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	artsc-devel
BuildRequires:	intltool
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeui-devel >= 2.10.0-2
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
%{?with_lirc:BuildRequires:	lirc-devel}
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.197
%ifarch %{ix86}
BuildRequires:	rte-devel >= 0.5
%endif
BuildRequires:	zvbi-devel >= 0.2.9
Requires(post,preun): GConf2
Requires(post,postun): scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_libdir}/zapping/plugins

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.

This is a TV viewer for the GNOME desktop. It has all the needed
features, plus extensibility through a plugin system.

%description -l pl
Zapping to program do ogldania telewizji dla rodowiska GNOME. Ma
wszystkie potrzebne funkcje oraz oferuje moliwo rozszerzania
funkcjonalnoci przez system wtyczek (pluginw).

%package alirc-plugin
Summary:	Another Zapping plugin for infrared control
Summary(pl):	Kolejna wtyczka Zappinga do kontroli podczerwieni
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	lirc
Obsoletes:	zapping-lirc-plugin

%description alirc-plugin
This package allows you to control Zapping with a LIRC-supported
remote control.

%description alirc-plugin -l pl
Pakiet pozwalajcy na obsug Zappinga pilotem zdalnego sterowania
obsugiwanym przez LIRC.

%package deinterlace-plugin
Summary:	Zapping plugin that deinterlaces video
Summary(pl):	Wtyczka Zappinga usuwajca przeplot obrazu
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description deinterlace-plugin
This package allows you to deinterlace TV video.

%description deinterlace-plugin -l pl
Pakiet pozwalajcy na usunicie przeplotu obrazu TV.

%package mpeg-plugin
Summary:	Zapping plugin that saves video in MPEG format
Summary(pl):	Wtyczka Zappinga do zapisu obrazu w formacie MPEG
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description mpeg-plugin
This package allows you to save video from TV in MPEG format.

%description mpeg-plugin -l pl
Pakiet pozwalajcy na zapis obrazu z TV w formacie MPEG.

%package screenshot-plugin
Summary:	Zapping plugin for taking screenshots
Summary(pl):	Wtyczka Zappinga do robienia zrzutw ekranu
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description screenshot-plugin
You can use this plugin to take screenshots of what you are actually
watching in TV. It will save the screenshots in JPEG format.

%description screenshot-plugin -l pl
Wtyczka pozwalajca na zapisywanie aktualnie ogldanego obrazu
telewizyjnego do pliku JPEG.

%package teletext-plugin
Summary:	Zapping plugin that displays teletext informations
Summary(pl):	Wtyczka Zappinga wywietlajca strony teletekstowe
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description teletext-plugin
This package allows you to display teletext pages.

%description teletext-plugin -l pl
Pakiet pozwalajcy na wywietlanie stron z teletekstem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Multimediadir=%{_desktopdir}

ln -sf zapping $RPM_BUILD_ROOT%{_bindir}/zapzilla

cp -f plugins/alirc/README{.alirc,}

# Remove useless *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/*.la

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install zapping.schemas

%preun
%gconf_schema_uninstall zapping.schemas

%postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS THANKS NEWS README* TODO BUGS
%attr(755,root,root) %{_bindir}/zapping
%attr(755,root,root) %{_bindir}/zapzilla
%attr(755,root,root) %{_bindir}/zapping_fix_overlay
%attr(755,root,root) %{_bindir}/zapping_remote
%attr(4755,root,root) %{_sbindir}/zapping_setup_fb
%dir %{_libdir}/zapping
%dir %{_plugindir}
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/zapping.schemas
%{_datadir}/zapping
%{_omf_dest_dir}/zapping
%{_desktopdir}/zapping.desktop
%{_mandir}/man?/*

%if %{with lirc}
%files alirc-plugin
%defattr(644,root,root,755)
%doc plugins/alirc/README
%attr(755,root,root) %{_plugindir}/libalirc.zapping.so*
%endif

# not buildable on other archs
%ifarch %{ix86}
%files deinterlace-plugin
%defattr(644,root,root,755)
%attr(755,root,root) %{_plugindir}/libdeinterlace.zapping.so*
%endif

%files mpeg-plugin
%defattr(644,root,root,755)
%attr(755,root,root) %{_plugindir}/libmpeg.zapping.so*

%files screenshot-plugin
%defattr(644,root,root,755)
%attr(755,root,root) %{_plugindir}/libscreenshot.zapping.so*

%files teletext-plugin
%defattr(644,root,root,755)
%attr(755,root,root) %{_plugindir}/libteletext.zapping.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zapping.spec,v $
Revision 1.88  2005/09/25 19:13:35  baggins
- release 2
- fixed libdir patch

Revision 1.87  2005/07/29 14:45:39  saq
- up to 0.9.6

Revision 1.86  2005/06/08 21:03:04  saq
- up to 0.9.4

Revision 1.85  2005/04/13 22:41:46  paladine
- new style macros, rel. 5

Revision 1.84  2005/04/04 08:05:01  saq
- disable-altivec.patch: disable uncompilable code (marked "untested")
- release 4

Revision 1.83  2005/04/04 05:58:46  saq
- release 3

Revision 1.82  2005/04/03 23:47:23  saq
- fix build on archs != x86

Revision 1.81  2005/04/03 23:06:26  saq
- release 2 for rebuild with howl-libs-0.9.10

Revision 1.80  2005/03/20 22:34:49  aflinta
- up to version 0.9.2

Revision 1.79  2004/12/29 13:44:55  ankry
- rel. 4 to rebuild with python 2.4

Revision 1.78  2004/12/09 22:39:55  ankry
- rel. 3

Revision 1.77  2004/12/09 22:27:32  ankry
- hopefully fix build on alpha

Revision 1.76  2004/12/09 11:43:25  paladine
- rel 2 for fixed desktop file patch

Revision 1.75  2004/11/14 16:03:39  aflinta
- up to version 0.8

Revision 1.74  2004/10/11 19:43:08  aflinta
- up to version 0.7.3

Revision 1.73  2004/10/04 20:35:51  aflinta
- up to version 0.7.2

Revision 1.72  2004/09/19 11:17:17  aflinta
- up for version 0.7.1, but needs testing

Revision 1.71  2004/04/21 10:39:53  krzak
- revert last changes related to BR: mp1e-devel

Revision 1.70  2004/04/21 08:32:24  krzak
- BR: mp1e-devel moved to ifarch x86

Revision 1.69  2004/04/21 08:20:38  krzak
- Requires(post): scrollkeeper

Revision 1.68  2004/04/21 08:19:42  krzak
- /usr/bin/scrollkeeper-update

Revision 1.67  2004/04/21 08:17:57  krzak
- BR: mp1e-devel

Revision 1.66  2004/04/18 23:05:11  qboosh
- mp1e is x86-only and required through rte-devel - so no BR here

Revision 1.65  2004/04/16 20:44:13  saq
- BR: mp1e-devel
- deprecated.patch: don't fail on using the deprecated GtkCombo

Revision 1.64  2004/04/10 12:17:37  qboosh
- typo

Revision 1.63  2004/04/10 12:09:20  qboosh
- updated to released snap (0.7cvs6 dated 20031220)
- removed obsolete lirc,configure,nooldlibxml patches, added libdir patch
- lirc plugin has been removed (replaced by alirc plugin)

Revision 1.62  2003/12/09 15:28:41  qboosh
- BR: artsc-devel (used if found)

Revision 1.61  2003/11/10 20:10:07  qboosh
- new-style bcond, support lirc on sparc, BR: intltool

Revision 1.60  2003/10/28 14:48:38  michuz
- rel 2
- added zapping-desktopfile.patch (fix vfolder position)

Revision 1.59  2003/10/23 22:23:10  michuz
- added missing BR
- added new patch who removes unused libxml headers

Revision 1.58  2003/09/11 18:27:15  aflinta
- snap 20030911

Revision 1.57  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.56  2003/08/18 08:09:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.55  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.54  2003/08/05 11:59:02  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.53  2003/07/07 13:20:22  qboosh
- use _desktopdir macro

Revision 1.52  2003/06/26 22:00:34  trojan
- s/libxml/libxml2

Revision 1.51  2003/05/28 13:03:17  malekith
- massive attack: source-md5

Revision 1.50  2003/05/25 06:28:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.49  2003/03/27 21:44:51  aflinta
- updated to snap 20030326, many bugfixes

Revision 1.48  2003/02/23 13:54:55  aflinta
- updated to version 0.7.0 snap 20030223

Revision 1.47  2003/02/16 21:07:39  aflinta
- updated to snap 20030216

Revision 1.46  2003/01/31 21:35:31  aflinta
- updated to snap 20030131

Revision 1.45  2003/01/27 08:38:56  qboosh
- grr... redone -mpeg-plugin fix lost on merge

Revision 1.44  2003/01/26 13:16:18  michuz
- new BR

Revision 1.43  2003/01/26 12:10:32  aflinta
- removed obsoleted patch

Revision 1.42  2003/01/26 12:03:24  aflinta
- merged from DEVEL

Revision 1.35.2.4  2003/01/26 11:41:27  aflinta
- updated to snap 20030126

Revision 1.35.2.3  2003/01/05 20:17:00  aflinta
- updated %%files

Revision 1.35.2.2  2002/12/19 02:19:17  aflinta
- updated to snap 20021218

Revision 1.35.2.1  2002/10/13 09:37:12  aflinta
- updated to cvs snap of version 0.7 (Gnome2)

Revision 1.35  2002/08/16 23:52:30  qboosh
- added missing dir, release 5

Revision 1.34  2002/08/07 03:15:33  kloczek
- typo.

Revision 1.33  2002/08/06 18:07:33  kloczek
- disable lirc on sparc*.

Revision 1.32  2002/08/06 14:41:37  qboosh
- BR: libglade-gnome-devel; fixed bcond name; release 4

Revision 1.31  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.30  2002/06/13 05:58:00  juandon
- new %%doc scheme
- makeshift autoheader hack

Revision 1.29  2002/06/12 10:51:03  marcus
- rel.3

Revision 1.28  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.27  2002/04/17 17:43:04  marcus
- BR rte-devel is ix86 only
- rel.2.

Revision 1.26  2002/04/04 01:21:40  saq
- up to 0.6.4
- unhashed BR: rte-devel, bumped to 0.6.4 (why had it been disabled?)
- BR: zvbi-devel

Revision 1.25  2002/03/24 23:28:28  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.24  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:15:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/27 00:07:45  aflinta
- updated to version 0.6.2 STBR
- removed interface and ac patches
- removed parrot package (no longer in main tree)

Revision 1.20  2001/10/30 22:32:24  aflinta
- release 2, STBR

Revision 1.19  2001/10/30 22:30:59  aflinta
- added patch to version 0.6.1 (only) newer version will fix it, against config dialog creshes

Revision 1.18  2001/10/21 19:26:55  misiek
- updated to 0.6.1

Revision 1.17  2001/09/26 13:41:07  qboosh
- BuildRequires: autoconf, libtool

Revision 1.16  2001/09/13 05:59:20  saq
- update to 0.6.0
- changed Source0 URL
- patches: am15, AS_, host_alias
- BuildRequires: rte-devel (for MPEG stuff)
- define mandir to %%{_prefix}/man
- more plugin subpackages
- plugins' glade files go to their subpackages
- parrot plugin in %%if 0 -- doesn't work
- STB

Revision 1.15  2001/08/12 19:11:21  saq
- update to 0.5.92
- removed gettextize --copy --force (broke building)
- plugins go to %{_libdir}/zapping/plugins
- plugins go to subpackages
- STB

Revision 1.14  2001/07/23 18:37:00  migo
- added pl summary and/or description

Revision 1.13  2001/03/16 12:34:36  alchemyx
- updated to 0.5.9
- patch awaiting
- NFY

Revision 1.12  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.11  2000/10/30 07:47:56  kloczek
- release 3: rebuild against gnome-libs linked with db3.

Revision 1.10  2000/10/03 06:43:51  kloczek
- release 2: use rpm new automation suit.

Revision 1.9  2000/09/25 08:44:19  kloczek
- added libjpeg-devel to BuildRequires,
- added --without-included-gettext to autoconf script parametrs,
- last fix in %install and %files for plugins.

Revision 1.8  2000/09/25 07:37:50  kloczek
- fixed path to modules in %files.

Revision 1.7  2000/09/25 06:55:03  kloczek
- typo.

Revision 1.6  2000/09/25 06:45:42  kloczek
- updated to 0.5.4,
- changed plugins dir to %%{_libdir}/zapping (nof zapping is FHS compliant).

Revision 1.5  2000/07/25 09:10:29  kloczek
- typo.

Revision 1.4  2000/07/25 08:53:21  kloczek
- cchanged Source url to ftp.

Revision 1.3  2000/07/25 08:50:26  kloczek
- cosmetics.

Revision 1.2  2000/07/25 08:48:38  kloczek
- cmpletly rewrited in PLD style.
